STRUCT TEMPLATE (3)

NAME
boost::proto::result_of::deep_copy - A metafunction for calculating the return type of proto::deep_copy().

SYNOPSIS

// In header: <boost/proto/deep_copy.hpp>
template<typename Expr>
struct deep_copy {
  // types
  typedef unspecified type;
};

DESCRIPTION

A metafunction for calculating the return type of proto::deep_copy(). The type parameter Expr should be the type of a Proto expression tree. It should not be a reference type, nor should it be cv-qualified.